xfstests: kill useless test owner fields
[xfstests-dev.git] / 092
1 #! /bin/bash
2 # FS QA Test No. 092
3 #
4 # Make sure that we can mount inode64 filesystems
5 #
6 #-----------------------------------------------------------------------
7 # Copyright (c) 2000-2004 Silicon Graphics, Inc.  All Rights Reserved.
8 #
9 # This program is free software; you can redistribute it and/or
10 # modify it under the terms of the GNU General Public License as
11 # published by the Free Software Foundation.
12 #
13 # This program is distributed in the hope that it would be useful,
14 # but WITHOUT ANY WARRANTY; without even the implied warranty of
15 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
16 # GNU General Public License for more details.
17 #
18 # You should have received a copy of the GNU General Public License
19 # along with this program; if not, write the Free Software Foundation,
20 # Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
21 #
22 #-----------------------------------------------------------------------
23 #
24
25 seq=`basename $0`
26 echo "QA output created by $seq"
27
28 here=`pwd`
29 tmp=/tmp/$$
30 status=1        # failure is the default!
31 trap "_cleanup; exit \$status" 0 1 2 3 15
32
33 _cleanup()
34 {
35     cd /
36     rm -f $tmp.*
37 }
38
39 # get standard environment, filters and checks
40 . ./common.rc
41 . ./common.filter
42
43 # real QA test starts here
44
45 # Modify as appropriate.
46 _supported_fs xfs
47 _supported_os IRIX Linux
48 _require_scratch
49 _require_no_large_scratch_dev
50
51 MOUNT_OPTIONS="$MOUNT_OPTIONS -o inode64"
52 _scratch_mkfs_xfs | _filter_mkfs 2>/dev/null
53 echo Silence is golden
54
55 _scratch_mount
56 [ $? -eq 0 ] || echo "inode64 mount failed unexpectedly!"
57
58 # success, all done
59 status=0
60 exit